org.apache.mina.core.write

## Class WriteRequestWrapper

- java.lang.Object
- - org.apache.mina.core.write.WriteRequestWrapper

- All Implemented Interfaces:
    WriteRequest

      public class WriteRequestWrapper
      extends Object
      implements WriteRequest

  A wrapper for an existing `WriteRequest`.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WriteRequestWrapper(WriteRequest parentRequest)` Creates a new instance that wraps the specified request.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SocketAddress` | `getDestination()` Returns the destination of this write request.
    `WriteFuture` | `getFuture()` Returns `WriteFuture` that is associated with this write request.
    `Object` | `getMessage()` Returns a message object to be written.
    `WriteRequest` | `getOriginalRequest()` Returns the `WriteRequest` which was requested originally, which is not transformed by any `IoFilter`.
    `WriteRequest` | `getParentRequest()` Returns the wrapped request object.
    `boolean` | `isEncoded()` Tells if the current message has been encoded
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WriteRequestWrapper

          public WriteRequestWrapper(WriteRequest parentRequest)

      Creates a new instance that wraps the specified request.

  - ### Method Detail

    - #### getDestination

          public SocketAddress getDestination()

      Description copied from interface: `WriteRequest`
      Returns the destination of this write request.
      Specified by:
        `getDestination` in interface `WriteRequest`
      Returns:
        `null` for the default destination

    - #### getFuture

          public WriteFuture getFuture()

      Description copied from interface: `WriteRequest`
      Returns `WriteFuture` that is associated with this write request.
      Specified by:
        `getFuture` in interface `WriteRequest`

    - #### getMessage

          public Object getMessage()

      Description copied from interface: `WriteRequest`
      Returns a message object to be written.
      Specified by:
        `getMessage` in interface `WriteRequest`

    - #### getOriginalRequest

          public WriteRequest getOriginalRequest()

      Description copied from interface: `WriteRequest`
      Returns the `WriteRequest` which was requested originally, which is not transformed by any `IoFilter`.
      Specified by:
        `getOriginalRequest` in interface `WriteRequest`

    - #### getParentRequest

          public WriteRequest getParentRequest()

      Returns the wrapped request object.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### isEncoded

          public boolean isEncoded()

      Description copied from interface: `WriteRequest`
      Tells if the current message has been encoded
      Specified by:
        `isEncoded` in interface `WriteRequest`
      Returns:
        true if the message has already been encoded

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.